//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 1 lights, 3 materials and 3 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 09/05/1999    (05.09.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray V3.1 For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera UnderWater
  location  <     -2.941,      15.677,       6.815>
  direction <        0.0,         0.0,      2.4880> // Aperture is 0.40 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <     -1.314,     -46.489,      19.751>
}

/*camera {  //  Camera Camera
  location  <      0.000,      -0.001,     207.261>
  direction <        0.0,         0.0,      2.4880> // Aperture is 0.40 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <      0.000,       0.000,       0.000>
}*/


/*camera {  //  Camera WaterSurface
  location  <     -0.210,      30.107,      45.527>
  direction <        0.0,         0.0,      2.4880> // Aperture is 0.40 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <      0.000,       0.000,      36.083>
}*/



//
// *******  L I G H T S *******
//

light_source { // Sun
  <49.976, 49.355, 207.607>
  color rgb <1.000, 1.000, 0.829>
  area_light <121.196, 0.000, 0.000>, <0.000, 121.196, 0.000>, 5, 5
  adaptive 3
  jitter
}



//
// ********  MATERIALS  *******
//

#include "crosscanyon.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

box { // Water
  <-1, -1, -1>, <1, 1, 1>
  material {
    FogTex
  }
  scale <61.786839, 47.680882, 26.460457>
  translate  <0.0, -1.209754, 12.09754>
}




object {   // Canyon
  height_field {
    tga "C:\Program Files\Moray For Windows\heightfields\CrossCanyon2.tga"
    water_level 0.0
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    Rocky
  }
  scale <55.919743, 47.228344, 43.50346>
  translate  <0.0, -1.01367, 29.452314>
}


